WritableSerialization (Hadoop 0.20.1+169.127 API)
Date: 2011-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io.serializer
Class WritableSerialization

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.io.serializer.WritableSerialization

All Implemented Interfaces:
  Configurable, Serialization<Writable>

    public class WritableSerialization

extends Configured
implements Serialization<Writable>

A `Serialization` for `Writable`s that delegates to `Writable.write(java.io.DataOutput)` and `Writable.readFields(java.io.DataInput)`.

Constructor Summary
`WritableSerialization()`

Method Summary
`boolean` | `accept(Class<?> c)` Allows clients to test whether this `Serialization` supports the given class.
`Deserializer<Writable>` | `getDeserializer(Class<Writable> c)`
`Serializer<Writable>` | `getSerializer(Class<Writable> c)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WritableSerialization

    public WritableSerialization()

Method Detail

### accept

    public boolean accept(Class<?> c)

  Description copied from interface: `Serialization`
  Allows clients to test whether this `Serialization` supports the given class.

  Specified by:
    `accept` in interface `Serialization<Writable>`

### getDeserializer

    public Deserializer<Writable> getDeserializer(Class<Writable> c)

  Specified by:
    `getDeserializer` in interface `Serialization<Writable>`
  Returns:
    a `Deserializer` for the given class.

### getSerializer

    public Serializer<Writable> getSerializer(Class<Writable> c)

  Specified by:
    `getSerializer` in interface `Serialization<Writable>`
  Returns:
    a `Serializer` for the given class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation